Subject: Re: [homenet] low latency handovers in wifi (was: New Version Notification for draft-barth-homenet-wifi-roaming-00.txt)

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 1 Dec 2015 16:45:40 +0100

Le 30/11/2015 15:18, Dave Taht a écrit :
> On Mon, Nov 30, 2015 at 3:04 PM, Mikael Abrahamsson <[email-masked]> wrote:
>> On Mon, 30 Nov 2015, Dave Taht wrote:
>>
>>> Well, in the two or more radio (2.4 and 5ghz) case, you can easily roam
>>> between the two radios with many chipsets. Some chipsets only allow one
>>> active radio at a time, however.
>>
>>
>> Does this actually work in real life? Considering the solutions I found
>
> Using linux, with ath9k gear, worked for 7 years. On nearly everything
> else, rare.
>
>> doing my quick search, it seems the AP vendors are implementing all kinds of
>> solutions to trick the client that it's just one single large network with a
>> single AP, even though it's a lot of them.
>>
>> For instance:
>> https://help.ubnt.com/hc/en-us/articles/205144590-UniFi-What-is-Zero-Handoff-
>
> yes, it's a mess.

Parsing that URL... if one wants zero latency handoff in WiFi one tries 
to strip all link-layer messages (incl. security) and operate outside 
the context of a BSSID.

> It's even worse than that...
>
>>
>> So while I would prefer a solution in the end with make-before-break and
>> seamless handover without breaking the IP layer at all, this seems to
>> involve quite a lot of new functionality both from the Network (which is
>> doable) and from the client (also doable, but a lot harder, especially
>> within current charter).
>
> I would not mind at all if the ietf had a wg with the ieee and the
> wifi alliance and whoever else might care, to make wifi better in a
> huge variety of ways.

It's already ongoing in some groups at IETF, e.g. 6lo WG considering 
11ah (draft-delcarpio-6lo-wlanah-00).  Also there are some I-Ds (like 
draft-petrescu-ipv6-over-80211p-03.txt) looking for a home.

Other possible ways is to question how would IP work over 802.11

The IEEE efforts for a better WiFi may translate into a need for a 
better IP: more bandwidth 802.11ad, ax (a highly efficient IP?), and 
lower energy ah (an IP over typical LLC?) and operation at a 
yet-uncrowded 60GHz (an expensive IP?).  Not to mention this EUI-128 
identifier which should lead to forgetting the EUI-64-derived /64 
barrier altogether.

Alex

> I remain perpetually astonished that a technology beloved by and used
> by billions (with billions to come) has so few advocates, so few
> working on actual interoperability, so many bad implementations, and
> so little research funding.
>
> the general public has their priorities straight:
>
> https://www.google.se/search?q=image+hierarchy+of+needs+wifi&source=lnms&tbm=isch&sa=X&ved=0ahUKEwi32M36qbjJAhWEqnIKHSseCiMQ_AUIBygB&biw=1135&bih=1072
>
> For those that haven't seen it:
>
> https://www.youtube.com/watch?v=Rb-UnHDw02o
>
> I am happy that a little bit of funding towards merely getting per
> station queuing working looks to arrive next year.
>
> Tackling handoff in any sane way with the current mess, looks harder.
>
> _______________________________________________
> homenet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/homenet
>

---

From: Juliusz Chroboczek <[email-masked]>
Date: Wed, 16 Dec 2015 18:53:01 +0100

> here is some attempt to formalize a simple WiFi roaming approach
> using host routes and a stateless proxy for DAD NDP messages.

http://www.cisco.com/en/US/products/ps9390/products_white_paper09186a00800a3ca5.shtml

(See also RFC 1925 Section 2.11.)

-- Juliusz